Subject: bug#24188: closed (Re: bug#24188: gnucash needs gtk+ in propagated-inputs)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Sep 2016 22:40:01 +0000

Your bug report

#24188: gnucash needs gtk+ in propagated-inputs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24188: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24188
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24188: gnucash needs gtk+ in propagated-inputs
From: [email-masked] (Ludovic Courtès)
To: Arun Isaac <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 10 Sep 2016 00:38:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Arun Isaac <[email-masked]> skribis:

>>> To actually fix this package (and some others) we can:
>>>
>>> - Wrap them with shared-mime-info in XDG_DATA_DIRS or propagated it.
>>>
>>> - Make sure 'xdg-mime-database' always run if glib applications are
>>>   there even without shared-mime-info referenced by profile.  
>>>   IIRC, this was suggested by ludo, but I ignored, now patch sent :-)
>>
>> Apparently the 2nd item is what commit
>> 801d316b20b05a4d0687873ad8e438e6238e23ce does.
>>
>> Are we done, or do we need to do item #1 too?
>
> We are done. No need to do item #1. The issue has been fixed.

I like that.  :-)  Thanks!

Ludo’.

Subject: gnucash needs gtk+ in propagated-inputs
From: Arun Isaac <[email-masked]>
To: [email-masked]
Date: Mon, 08 Aug 2016 23:15:50 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed gnucash with `guix package -i gnucash`. When I attempt to
run it, it fails with the following error message:

**
gnc.gui:ERROR:gnc-icons.c:96:gnc_add_stock_icon_pair: assertion failed: (pixbuf1 && pixbuf2)
fish: 'gnucash' terminated by signal SIGABRT (Abort)

However within an environment created by `guix environment --ad-hoc
gtk+`, gnucash runs fine. So, I'm guessing gtk+ needs to be in gnucash's
propagated-inputs.